server {
    listen 80;
    server_name job.mall4j.com;

    location / {
        # 8080端口是xxl-job启动的端口
        # 这里因为是在docker，所以这个访问的是docker内部网络，非docker部署也可以用ip http://${ip}:8080;
        # 这里采用mall4j-job是因为docker内网，如果使用docker的话，应该是127.0.0.1或者是xxx.xxx.xxx.xxx的内网（推荐）/公网ip
        proxy_pass http://192.168.193.128:8080;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}


